Bug 1892259 - Install Operand Form on OperatorHub is displaying unformatted text
Summary: Install Operand Form on OperatorHub is displaying unformatted text
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.z
Assignee: Jakub Hadvig
QA Contact: Siva Reddy
URL:
Whiteboard:
Depends On: 1888150
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-28 10:15 UTC by OpenShift BugZilla Robot
Modified: 2020-11-16 14:38 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-16 14:37:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7010 0 None closed [release-4.6] Bug 1892259: Format markdown text in Install Operand Form 2020-11-09 03:21:39 UTC
Red Hat Product Errata RHBA-2020:4987 0 None None None 2020-11-16 14:38:00 UTC

Comment 4 Siva Reddy 2020-11-13 02:42:11 UTC
Tested on ocp 4.6 with payload 4.6.0-0.nightly-2020-11-07-035509
1. Install ocs operator with CSV annotation having "operatorframework.io/initialization-resource", and operator description contains special text eg:
    description: Red Hat OpenShift Container Storage provides hyperconverged storage for applications within an OpenShift cluster. The following instructions assume you have an existing cluster you can connect to. OpenShift 4.x clusters can be installed using the [OpenShift Installer](https://mirror.openshift.com/pub/openshift-v4/clients/ocp/latest/).You can also use [CodeReady Containers](https://github.com/code-ready/crc) for local installs. More information about installing OpenShift can be found at <https://try.openshift.com/>.
2. Check on installation flow, the texts in description are shown after markdown formatted. Refer to screenshot.
The bug is fixed.

Comment 6 errata-xmlrpc 2020-11-16 14:37:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.4 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4987


Note You need to log in before you can comment on or make changes to this bug.